<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy DistanceWin</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_distance_win.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pri-methods">Metody prywatne</a> &#124;
<a href="#pri-attribs">Atrybuty prywatne</a> &#124;
<a href="class_distance_win-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy DistanceWin</div></div>
</div><!--header-->
<div class="contents">

<p>Widget wyświetlający odczyty czujników odległości.  
 <a href="class_distance_win.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="_distance_win_8hpp_source.html">DistanceWin.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla DistanceWin</div>
<div class="dyncontent">
<div class="center"><img src="class_distance_win__inherit__graph.png" border="0" usemap="#a_distance_win_inherit__map" alt="Inheritance graph"/></div>
<map name="a_distance_win_inherit__map" id="a_distance_win_inherit__map">
<area shape="rect" title="Widget wyświetlający odczyty czujników odległości." alt="" coords="11,152,106,177"/>
<area shape="rect" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji." alt="" coords="5,79,112,104"/>
<area shape="poly" title=" " alt="" coords="61,118,61,152,56,152,56,118"/>
<area shape="rect" title=" " alt="" coords="24,5,93,31"/>
<area shape="poly" title=" " alt="" coords="61,44,61,79,56,79,56,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla DistanceWin:</div>
<div class="dyncontent">
<div class="center"><img src="class_distance_win__coll__graph.png" border="0" usemap="#a_distance_win_coll__map" alt="Collaboration graph"/></div>
<map name="a_distance_win_coll__map" id="a_distance_win_coll__map">
<area shape="rect" title="Widget wyświetlający odczyty czujników odległości." alt="" coords="138,168,233,193"/>
<area shape="rect" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji." alt="" coords="5,80,112,105"/>
<area shape="poly" title=" " alt="" coords="89,111,170,166,167,170,86,115"/>
<area shape="rect" title=" " alt="" coords="24,5,93,31"/>
<area shape="poly" title=" " alt="" coords="61,45,61,80,56,80,56,45"/>
<area shape="rect" href="class_numeric_data.html" title="Wyświetla dane z czujnika odległości." alt="" coords="136,80,235,105"/>
<area shape="poly" title=" " alt="" coords="188,119,188,167,183,167,183,119"/>
<area shape="rect" title=" " alt="" coords="209,5,281,31"/>
<area shape="poly" title=" " alt="" coords="229,44,197,81,193,78,225,40"/>
<area shape="rect" href="class_robot_image.html" title="Widget wyświetlający obraz robota." alt="" coords="259,80,351,105"/>
<area shape="poly" title=" " alt="" coords="266,40,298,78,294,81,262,44"/>
<area shape="poly" title=" " alt="" coords="296,119,274,146,252,160,228,170,226,165,249,155,270,142,292,115"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:ae65882b3771d560247ee6228b8fa03d9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_distance_win.html#ae65882b3771d560247ee6228b8fa03d9">DistanceWin</a> (const char *dist_title, QWidget *parent=nullptr)</td></tr>
<tr class="memdesc:ae65882b3771d560247ee6228b8fa03d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje widget <a class="el" href="class_distance_win.html" title="Widget wyświetlający odczyty czujników odległości.">DistanceWin</a>.  <br /></td></tr>
<tr class="separator:ae65882b3771d560247ee6228b8fa03d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2f5aa946689b7e5274052aa9af6d442"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_distance_win.html#af2f5aa946689b7e5274052aa9af6d442">updateDistances</a> (unsigned int new_dist, int index)</td></tr>
<tr class="memdesc:af2f5aa946689b7e5274052aa9af6d442"><td class="mdescLeft">&#160;</td><td class="mdescRight">Aktualizuje odczyty z czujników odległości.  <br /></td></tr>
<tr class="separator:af2f5aa946689b7e5274052aa9af6d442"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_framed_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_framed_widget')"><img src="closed.png" alt="-"/>&#160;Metody publiczne dziedziczone z <a class="el" href="class_framed_widget.html">FramedWidget</a></td></tr>
<tr class="memitem:a1c6f4531fc17c8cd36c229a3a4f9175f inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a1c6f4531fc17c8cd36c229a3a4f9175f">FramedWidget</a> ()</td></tr>
<tr class="memdesc:a1c6f4531fc17c8cd36c229a3a4f9175f inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor domyślny.  <br /></td></tr>
<tr class="separator:a1c6f4531fc17c8cd36c229a3a4f9175f inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a257d943892d078be53e1ca628405c98b inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a257d943892d078be53e1ca628405c98b">FramedWidget</a> (const char *widget_title, QWidget *parent)</td></tr>
<tr class="memdesc:a257d943892d078be53e1ca628405c98b inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje obiekt klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>.  <br /></td></tr>
<tr class="separator:a257d943892d078be53e1ca628405c98b inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a707169afc04bdd361d8060903ee94845 inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">changeTitle</a> (QString new_title)</td></tr>
<tr class="memdesc:a707169afc04bdd361d8060903ee94845 inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zmienia nazwę widgetu / tłumaczy nazwę  <br /></td></tr>
<tr class="separator:a707169afc04bdd361d8060903ee94845 inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40856bf6e5c17e55a9e35e24f1b9eb9f inherit pub_methods_class_framed_widget"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a40856bf6e5c17e55a9e35e24f1b9eb9f">~FramedWidget</a> ()</td></tr>
<tr class="memdesc:a40856bf6e5c17e55a9e35e24f1b9eb9f inherit pub_methods_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wirtualny destruktor.  <br /></td></tr>
<tr class="separator:a40856bf6e5c17e55a9e35e24f1b9eb9f inherit pub_methods_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Metody prywatne</h2></td></tr>
<tr class="memitem:a8bf9c3a9ff780ebdb692205762a88e81"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_distance_win.html#a8bf9c3a9ff780ebdb692205762a88e81">setVLayout</a> () override</td></tr>
<tr class="memdesc:a8bf9c3a9ff780ebdb692205762a88e81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawia widgety pochodne w pionie.  <br /></td></tr>
<tr class="separator:a8bf9c3a9ff780ebdb692205762a88e81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac34b8fecb2ba393250b97f55518705cd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_distance_win.html#ac34b8fecb2ba393250b97f55518705cd">setStoredWidget</a> () override</td></tr>
<tr class="memdesc:ac34b8fecb2ba393250b97f55518705cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje widgety pochodne.  <br /></td></tr>
<tr class="separator:ac34b8fecb2ba393250b97f55518705cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Atrybuty prywatne</h2></td></tr>
<tr class="memitem:a1a3d0eaeb4bcd4517194e38335d787c6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_numeric_data.html">NumericData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_distance_win.html#a1a3d0eaeb4bcd4517194e38335d787c6">sensors_data</a> [<a class="el" href="_distance_win_8hpp.html#a11d038bc0d376b5a6a7634604b6e058d">SENSORS</a>]</td></tr>
<tr class="memdesc:a1a3d0eaeb4bcd4517194e38335d787c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tablica odczytów z czujników odległości.  <br /></td></tr>
<tr class="separator:a1a3d0eaeb4bcd4517194e38335d787c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35e3bb3bcb09fb339dbad4d65c9e8c70"><td class="memItemLeft" align="right" valign="top">QGridLayout *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_distance_win.html#a35e3bb3bcb09fb339dbad4d65c9e8c70">image_grid</a></td></tr>
<tr class="memdesc:a35e3bb3bcb09fb339dbad4d65c9e8c70"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zarządca geometrii na planie siatki.  <br /></td></tr>
<tr class="separator:a35e3bb3bcb09fb339dbad4d65c9e8c70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7511b81e0e352eb985ae7a671999618e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_robot_image.html">RobotImage</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_distance_win.html#a7511b81e0e352eb985ae7a671999618e">image</a></td></tr>
<tr class="memdesc:a7511b81e0e352eb985ae7a671999618e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Obraz robota.  <br /></td></tr>
<tr class="separator:a7511b81e0e352eb985ae7a671999618e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Dodatkowe Dziedziczone Składowe</h2></td></tr>
<tr class="inherit_header pub_attribs_class_framed_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_class_framed_widget')"><img src="closed.png" alt="-"/>&#160;Atrybuty publiczne dziedziczone z <a class="el" href="class_framed_widget.html">FramedWidget</a></td></tr>
<tr class="memitem:ace4a4b291bdc10ef5c4599a43baf1ab5 inherit pub_attribs_class_framed_widget"><td class="memItemLeft" align="right" valign="top">QLabel *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">title</a></td></tr>
<tr class="memdesc:ace4a4b291bdc10ef5c4599a43baf1ab5 inherit pub_attribs_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tytuł widgetu.  <br /></td></tr>
<tr class="separator:ace4a4b291bdc10ef5c4599a43baf1ab5 inherit pub_attribs_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b62f9e21c0b6f3e797070d26027ac45 inherit pub_attribs_class_framed_widget"><td class="memItemLeft" align="right" valign="top">QVBoxLayout *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a></td></tr>
<tr class="memdesc:a5b62f9e21c0b6f3e797070d26027ac45 inherit pub_attribs_class_framed_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zarządca geometrii wertykalnej.  <br /></td></tr>
<tr class="separator:a5b62f9e21c0b6f3e797070d26027ac45 inherit pub_attribs_class_framed_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef2985a3761269e6e076651131bc1fb6"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#aef2985a3761269e6e076651131bc1fb6">setVLayout</a> ()=0</td></tr>
<tr class="memdesc:aef2985a3761269e6e076651131bc1fb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawia przechowywane widgety w pionie.  <br /></td></tr>
<tr class="separator:aef2985a3761269e6e076651131bc1fb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcbce7540975ea1dee22fb0b8bb8109e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#abcbce7540975ea1dee22fb0b8bb8109e">setStoredWidget</a> ()=0</td></tr>
<tr class="memdesc:abcbce7540975ea1dee22fb0b8bb8109e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nadaje odpowiednie parametry widgetowi.  <br /></td></tr>
<tr class="separator:abcbce7540975ea1dee22fb0b8bb8109e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Klasa łączy ze sobą obiekty różnego typu wyświetlając je w jednym oknie. Dziedziczy ona po klasie <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>, co powoduje obramowanie widgetu. Odczyty czujników rysowane są na planie siatki atrybutu QGridLayout, która nałożona jest na obraz robota - atrybut <a class="el" href="class_robot_image.html" title="Widget wyświetlający obraz robota.">RobotImage</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="_distance_win_8hpp_source.html#l00030">30</a> pliku <a class="el" href="_distance_win_8hpp_source.html">DistanceWin.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="ae65882b3771d560247ee6228b8fa03d9" name="ae65882b3771d560247ee6228b8fa03d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae65882b3771d560247ee6228b8fa03d9">&#9670;&#160;</a></span>DistanceWin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DistanceWin::DistanceWin </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>dist_title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wymusza wywołanie konstruktora klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>, przekazując mu tytuł widgetu oraz wskaźnik na widget będący rodzicem. Tworzy dynamicznie przechowywane atrybuty i wywołuje metody, które przygotowywują widgety do wyświetlenia w oknie głównym.</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">dist_title</td><td>- tytuł widgetu wyświetlany na samej górze </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">parent</td><td>- wskaźnik na widget będący rodzicem </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_distance_win_8cpp_source.html#l00019">19</a> pliku <a class="el" href="_distance_win_8cpp_source.html">DistanceWin.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_distance_win_ae65882b3771d560247ee6228b8fa03d9_cgraph.png" border="0" usemap="#aclass_distance_win_ae65882b3771d560247ee6228b8fa03d9_cgraph" alt=""/></div>
<map name="aclass_distance_win_ae65882b3771d560247ee6228b8fa03d9_cgraph" id="aclass_distance_win_ae65882b3771d560247ee6228b8fa03d9_cgraph">
<area shape="rect" title="Inicjalizuje widget DistanceWin." alt="" coords="5,31,180,56"/>
<area shape="rect" href="class_distance_win.html#ac34b8fecb2ba393250b97f55518705cd" title="Inicjalizuje widgety pochodne." alt="" coords="228,5,425,31"/>
<area shape="poly" title=" " alt="" coords="180,31,214,27,215,33,180,37"/>
<area shape="rect" href="class_distance_win.html#a8bf9c3a9ff780ebdb692205762a88e81" title="Ustawia widgety pochodne w pionie." alt="" coords="243,55,410,80"/>
<area shape="poly" title=" " alt="" coords="180,50,230,55,229,60,180,55"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a8bf9c3a9ff780ebdb692205762a88e81" name="a8bf9c3a9ff780ebdb692205762a88e81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bf9c3a9ff780ebdb692205762a88e81">&#9670;&#160;</a></span>setVLayout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DistanceWin::setVLayout </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Metoda wirtualna klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>.</p>
<p>Idąc od góry, ustawiany jest tytuł a następnie obrazek. </p>

<p>Implementuje <a class="el" href="class_framed_widget.html#aef2985a3761269e6e076651131bc1fb6">FramedWidget</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="_distance_win_8cpp_source.html#l00064">64</a> pliku <a class="el" href="_distance_win_8cpp_source.html">DistanceWin.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_distance_win_a8bf9c3a9ff780ebdb692205762a88e81_icgraph.png" border="0" usemap="#aclass_distance_win_a8bf9c3a9ff780ebdb692205762a88e81_icgraph" alt=""/></div>
<map name="aclass_distance_win_a8bf9c3a9ff780ebdb692205762a88e81_icgraph" id="aclass_distance_win_a8bf9c3a9ff780ebdb692205762a88e81_icgraph">
<area shape="rect" title="Ustawia widgety pochodne w pionie." alt="" coords="228,5,395,31"/>
<area shape="rect" href="class_distance_win.html#ae65882b3771d560247ee6228b8fa03d9" title="Inicjalizuje widget DistanceWin." alt="" coords="5,5,180,31"/>
<area shape="poly" title=" " alt="" coords="214,21,180,21,180,15,214,15"/>
</map>
</div>

</div>
</div>
<a id="ac34b8fecb2ba393250b97f55518705cd" name="ac34b8fecb2ba393250b97f55518705cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac34b8fecb2ba393250b97f55518705cd">&#9670;&#160;</a></span>setStoredWidget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DistanceWin::setStoredWidget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Metoda wirtualna klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>. Nadaje przechowywanym widgetom odpowiednie ustawienia, wygląd, zależnie od danego widgetu.</p>
<p>Dodaje obiekty klasy <a class="el" href="class_numeric_data.html" title="Wyświetla dane z czujnika odległości.">NumericData</a> do zarządcy geometrii na planie siatki. Ustawia lokalizację i zachowanie geometrii zarządcy oraz obrazu robota. </p>

<p>Implementuje <a class="el" href="class_framed_widget.html#abcbce7540975ea1dee22fb0b8bb8109e">FramedWidget</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="_distance_win_8cpp_source.html#l00047">47</a> pliku <a class="el" href="_distance_win_8cpp_source.html">DistanceWin.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_distance_win_ac34b8fecb2ba393250b97f55518705cd_icgraph.png" border="0" usemap="#aclass_distance_win_ac34b8fecb2ba393250b97f55518705cd_icgraph" alt=""/></div>
<map name="aclass_distance_win_ac34b8fecb2ba393250b97f55518705cd_icgraph" id="aclass_distance_win_ac34b8fecb2ba393250b97f55518705cd_icgraph">
<area shape="rect" title="Inicjalizuje widgety pochodne." alt="" coords="228,5,425,31"/>
<area shape="rect" href="class_distance_win.html#ae65882b3771d560247ee6228b8fa03d9" title="Inicjalizuje widget DistanceWin." alt="" coords="5,5,180,31"/>
<area shape="poly" title=" " alt="" coords="214,21,180,21,180,15,214,15"/>
</map>
</div>

</div>
</div>
<a id="af2f5aa946689b7e5274052aa9af6d442" name="af2f5aa946689b7e5274052aa9af6d442"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2f5aa946689b7e5274052aa9af6d442">&#9670;&#160;</a></span>updateDistances()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DistanceWin::updateDistances </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>new_dist</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Wywołuje metodę update() klasy <a class="el" href="class_numeric_data.html" title="Wyświetla dane z czujnika odległości.">NumericData</a> odpowiedniego obiektu z tablicy sensors_Data[].</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">new_dist</td><td>- nowy odczyt z czujnika </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>- indeks obiektu z tablicy sensors_data[] (numer czujnika) </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_distance_win_8hpp_source.html#l00086">86</a> pliku <a class="el" href="_distance_win_8hpp_source.html">DistanceWin.hpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_distance_win_af2f5aa946689b7e5274052aa9af6d442_cgraph.png" border="0" usemap="#aclass_distance_win_af2f5aa946689b7e5274052aa9af6d442_cgraph" alt=""/></div>
<map name="aclass_distance_win_af2f5aa946689b7e5274052aa9af6d442_cgraph" id="aclass_distance_win_af2f5aa946689b7e5274052aa9af6d442_cgraph">
<area shape="rect" title="Aktualizuje odczyty z czujników odległości." alt="" coords="5,5,204,31"/>
<area shape="rect" href="class_numeric_data.html#a4b956764140411b9e8249ec9e4bd9b14" title="Aktualizuje odczyt z czujnika odleŋłości." alt="" coords="252,5,395,31"/>
<area shape="poly" title=" " alt="" coords="205,15,238,15,238,21,205,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_distance_win_af2f5aa946689b7e5274052aa9af6d442_icgraph.png" border="0" usemap="#aclass_distance_win_af2f5aa946689b7e5274052aa9af6d442_icgraph" alt=""/></div>
<map name="aclass_distance_win_af2f5aa946689b7e5274052aa9af6d442_icgraph" id="aclass_distance_win_af2f5aa946689b7e5274052aa9af6d442_icgraph">
<area shape="rect" title="Aktualizuje odczyty z czujników odległości." alt="" coords="464,5,663,31"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="450,21,416,21,416,15,450,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a1a3d0eaeb4bcd4517194e38335d787c6" name="a1a3d0eaeb4bcd4517194e38335d787c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a3d0eaeb4bcd4517194e38335d787c6">&#9670;&#160;</a></span>sensors_data</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_numeric_data.html">NumericData</a>* DistanceWin::sensors_data[<a class="el" href="_distance_win_8hpp.html#a11d038bc0d376b5a6a7634604b6e058d">SENSORS</a>]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Klasa wyświetla odczyty z dokładnością do 1 milimetra. Więcej o klasie <a class="el" href="class_numeric_data.html" title="Wyświetla dane z czujnika odległości.">NumericData</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="_distance_win_8hpp_source.html#l00040">40</a> pliku <a class="el" href="_distance_win_8hpp_source.html">DistanceWin.hpp</a>.</p>

</div>
</div>
<a id="a35e3bb3bcb09fb339dbad4d65c9e8c70" name="a35e3bb3bcb09fb339dbad4d65c9e8c70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35e3bb3bcb09fb339dbad4d65c9e8c70">&#9670;&#160;</a></span>image_grid</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QGridLayout* DistanceWin::image_grid</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Układa dane z sensorów w taki sposób, aby były blisko odpowiednich czujników na obrazie robota (łatwe skojarzenie, który odczyt dotyczy którego czujnika). </p>

<p class="definition">Definicja w linii <a class="el" href="_distance_win_8hpp_source.html#l00048">48</a> pliku <a class="el" href="_distance_win_8hpp_source.html">DistanceWin.hpp</a>.</p>

</div>
</div>
<a id="a7511b81e0e352eb985ae7a671999618e" name="a7511b81e0e352eb985ae7a671999618e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7511b81e0e352eb985ae7a671999618e">&#9670;&#160;</a></span>image</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_robot_image.html">RobotImage</a>* DistanceWin::image</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Wyświetla obraz w widgecie. Klasa <a class="el" href="class_robot_image.html" title="Widget wyświetlający obraz robota.">RobotImage</a> dba o odpowiednie rozmiary obrazu i ich dynamiczne zmiany, reimplementując metodę painEvent(). </p>

<p class="definition">Definicja w linii <a class="el" href="_distance_win_8hpp_source.html#l00056">56</a> pliku <a class="el" href="_distance_win_8hpp_source.html">DistanceWin.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="_distance_win_8hpp_source.html">DistanceWin.hpp</a></li>
<li><a class="el" href="_distance_win_8cpp_source.html">DistanceWin.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_distance_win.html">DistanceWin</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
